<?php
require_once(__DIR__."/../../config/connect.php");
require_once(__DIR__."/../../global_functions.php");
require_once(__DIR__."/telefon_globale_funktionen.php");

log_to_file("------ starte anruf_speichern.php ------", false, true);
$con=sIT_mysql_connect(SQL_HOST, SQL_USER, SQL_PW, SQL_DB);
	

$nr="";
if (isset($_REQUEST['nr']))
{
	$nr=$_REQUEST['nr'];
}
else
{
	if (isset($argv[1]))
	{
		$nr=$argv[1];
	}
}

if (strlen($nr)<2)
{
	$programm=basename(__FILE__, '.php');
	echo "Falscher Aufruf von ".$programm."\n<br>";
	echo $programm." &lt;telefonnummer&gt;";
}
else
{
	log_to_file("speichere Telefonnummer: $nr", false, true);
	sIT_mysql_run_query($con, "INSERT into telefon_anrufprotokoll SET telefon_nummer='".$nr."'", true);
	$telefon_anruf_id=sIT_mysql_insert_id($con);
	if ($telefon_anruf_id>0)
	{
		if ($kunden_id=suche_kunden_mit_telefonnummer($nr))
		{
			log_to_file("Kunde gefunden: $kunden_id", false, true);
			sIT_mysql_run_query($con, "UPDATE telefon_anrufprotokoll SET kunden_id='".$kunden_id."' WHERE ID=$telefon_anruf_id",true);
		}
		else
		{
			log_to_file("Kein Kunde für Tel. Nr. $nr gefunden", false, true);
		}
	}
	else
	{
		log_to_file("Fehler beim einfügen der Telefonnummer $nr in die DB Table telefon_anrufprotokoll", false, true);
	}
		
}
?>